const db = require('../models/db');

exports.auth = (req, res, next) => {
    if (req.cookies && req.cookies.sessionId) {
        let sessionId = req.cookies.sessionId;

        db.query('SELECT * FROM Sessions WHERE session_id = ?', [sessionId], function (error, results, fields) {
            if (!error) {
                if (results.length == 1) {
                    req.user = results[0].nom_utilisateur;
                    next();
                } else {
                    res.status(401).json({ message: 'Authentification échouée' });
                }
            }
            else {
                res.status(500).json({ error });
            }
        })

    } 
    else {
        res.status(401).json({ message: 'Authentification échouée' });
    }
}

