const express = require('express');
const router = express.Router();
const controller = require('../controllers/userController');
const auth = require('../middlewares/auth');

router.get('/', (req, res) => {
    res.send('Hello World!')
});

router.post('/login',controller.login);

router.post('/signup', controller.signup);



module.exports = router;